API ReferenceCWT
Delete CWT credential metadata
Roles
adminissuermanaged-issuer
DELETE
/v2/credentials/compact/{id}Deletes all credential metadata from the tenant for a specific credential by providing its ID. If the credential was set to be revocable, it will be permanently revoked upon metadata deletion.
Note that only metadata of revocable credentials or credentials issued via the OpenID4VCI flow is saved.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Credential ID
Response Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/compact/string"Empty
{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve CWT credential revocation list ⚠️
Previous Page
Retrieve CWT credential revocation list GET
Returns a CWT credential revocation list by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_REVOCATION_RETRIEVE_START * CREDENTIAL_COMPACT_REVOCATION_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_REVOCATION_RETRIEVE_FAIL